J'ai créé un projet amc mercredi 20 octobre 2021. Et depuis la mise à jour de jeudi 21 octobre 2021, la 
notation des copies n'est plus possible et toutes les questions sont comptées nulles.
J'ai essayé de repasser à la version 1.4 mais cela ne change rien. Pourriez-vous m'aider à résoudre ce 
problème ?
Merci.

History
10/23/2021 09:00 am - Frédéric Bréal
Reprenez toute la conception du sujet avec la version 1.5 (nouveau qcm puis mise à jour puis correction).
Si le problème persite, le problème serait plutôt lié aux copies qu'à AMC.
Il faudra alors relancer la correction en mode debogage.

10/24/2021 05:41 pm - Emilie Dupont
Bonjour.
Le problème est que j'ai généré les copies. Et si je refais le QCM et génère de nouveau d'autres copies, je ne peux plus utiliser la correction 
automatique.
C'est lors de la mise à jour de vendredi 22 octobre, que depuis, je n'ai pas la possibilité de faire la correction des copies.
Merci de votre aide.
Émilie Dupont.

10/24/2021 06:18 pm - Frédéric Bréal
Pouvez-vous mettre en pièce jointe le fichier tex et le pdf des copies des élèves ?
Pour garantir l'anonymat des élèves vous pouvez envoyer le pdf réponses par mail ou via un service de cloud.

10/24/2021 06:27 pm - Emilie Dupont
Bonjour.
Je vous met dans un Drive le projet amc avec fichier tex, avec les copies générées. 
Pour l'instant, je n'ai pas scanné les copies des étudiants. J'ai juste scanné des exemplaires "test" qui sont dans le dossier scans et la notation 
fonctionnait avant.
Voici le lien Drive :
https://drive.google.com/drive/folders/18bKsbwNiMbHaBkWk5DjepCFY3pnPKDQi?usp=sharing

Merci pour votre aide.
Emilie Dupont.

10/24/2021 06:56 pm - Frédéric Bréal
Pourriez-vous me dire combien de sujet sont préparés ?
J'en vois 240 dans le dossier CC1_Panorama/Copies_CC1/ mais AMC est programmé pour 1 à la ligne 405.
Mettez 240 au moins à la ligne 405 ou dans l'interface graphique mettez 240 dans l'onglet préparation.

10/24/2021 07:56 pm - Frédéric Bréal
Aucun lien avec la correction.

* Pour passer à la ligne, il ne faut pas utiliser \\ mais laisser une ligne blanche dans le sujet.
Il est inutile de doubler \\ et une ligne blanche.
  <pre>
\centering\Large\bf CC1

  \small Panorama sur la Physique

  21 Octobre 2021 --- PréIng1
</pre>

* Vous pouvez écrire directement les lettres acccentuées au lieu de \'e.

* Pourquoi n'utilisez-vous pas @questionmult@ ?
Vous pouvez mettre la commande @\alafin@ qui met en dernier sans mélange tout ce qui se trouve après.
  <pre>
      \begin{reponses}
      \bonne{$kg$ (kilogramme)}
      \mauvaise{$g$ (gramme)}
      \mauvaise{$Pa$ (pascal)}
      \mauvaise{$J$ (joule)}
 \alafin     \mauvaise{Aucune de ces r\'eponses n'est correcte.}
    \end{reponses}
    </pre>
    
    
* Le paquet siunitx vous permet d'écrire plus rapidement les unités que sous cette forme
<pre>
       \bonne{$\mathrm{kg}\cdot\mathrm{m}\cdot\mathrm{s}^{-2}$}
</pre>
       
* L'environnement @questionmult@ n'est pas adapté pour les questions ouvertes
 <pre>
 \begin{question}{Archi4}{\bf (3 points)}
 
D\'etailler ci-dessous le calcul qui vous a permis d'obtenir les coefficients $\alpha$, $\beta$ et $\gamma$.
 
\AMCOpen{lines=14,boxframerule=.1cm}{

\mauvaise[B]{-0.5}\scoring{-0.5}
\mauvaise[B]{-1}\scoring{-1}
\mauvaise[B]{-2}\scoring{-2}
\bonne[A]{3}\scoring{3}
}
\end{question}
</pre>

* Comme vous utilisez un label et une référence à une figure, vous devez écrire juste après @\exemplaire@ \setcounter{figure}{0} et écrire 
@\AMCref{ab}@ et @\AMClabel{ab}@
<pre>
\caption{Calcul de AB}  \AMClabel{ab}
  Sur la figure (\AMCref{ab}), AB vaut (au centi\`eme) :
</pre>

* Il existe la commande \AMCaddpagesto{X} qui permet de mettre un nombre identique de pages qui peut remplacer votre commande \blankpage
* Pourquoi n'utilisez-vous pas le paquet babel avec l'option french ?
* Le paquet epsfig est remplacé par graphicx.
* unknown graphics extension eps : c'est à cause du moteur de compilation : en latex + dvips  eps et ps sont acceptés alors qu'avec pdflatex non mais 
jpg, png le sont.

11/15/2021 11:03 pm - Emilie Dupont
Bonjour.
Merci pour votre aide sur le fichier. Je veillerai à corriger les erreurs pour mon projet suivant.
Sinon, en refaisant le barème, j'ai réussi à noter les copies. Je vous remercie de votre aide.
Cordialement.
Emilie

11/16/2021 07:46 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
